petsc-3.4.2 2013-07-02

# PCFactorSetMatSolverPackage

sets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatSolverPackage(PC pc,const MatSolverPackage stype)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| stype | - for example, superlu, superlu_dist

### Options Database Key

-pc_factor_mat_solver_package <stype> -petsc, superlu, superlu_dist, mumps, cusparse

### Note

By default this will use the PETSc factorization if it exists

### Keywords

PC, set, factorization, direct, fill

### See Also

MatGetFactor(), MatSolverPackage, PCFactorGetMatSolverPackage()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html